WordPress.org

Ready to get started?Download WordPress

Forums

[Plugin: Facebook AWD All in one] Fatal error on installing Comments Plus plugin (6 posts)

  1. snipergirl
    Member
    Posted 2 years ago #

    Hey there,

    I had Facebook AWD All in one on my blog which was working fine.

    I tried to install Comments Plus from WPMU-Dev the other day and Comments Plus threw a fatal error as follows:

    "Fatal error: Call to undefined method Facebook::getSession() in /.../wp-content/plugins/comments-plus/lib/class_wdcp_model.php on line 47"

    After disabling Facebook AWD All in one, Comments plus installed and activated fine. I've contacted WPMU Dev (click link for the conversation) who have asked that I contact the maker of Facebook AWD All in one as they don't think it is caused by their side of things. They say they are happy to help sort this out.

    Thanks
    Snipergirl

  2. AHWEBDEV
    Member
    Posted 2 years ago #

    Comments plus is using old API from facebook.
    Facebook AWD use the new one, 3.1.1

    So until Comments plus will be updated, you can't use both on your site.

  3. snipergirl
    Member
    Posted 2 years ago #

    Thanks for the reply- I had a feeling that was the case. I've passed it on to WPMU Dev. Hopefully they will sort out the issue.

  4. LeAdmiralo
    Member
    Posted 2 years ago #

    hello,

    Today I installed the Facebook AWD on my wordpress blog. Then I just activated the plugin and now I no more have access to the admin section somehow (dashboard, etc.). all I get is this message:

    Fatal error: Call to undefined method stdClass::add_help_tab() in /homepages/32/d378431765/htdocs/app410023662/wp-content/plugins/facebook-awd/AWD_facebook.php on line 495

    I can't deactivate the plugin or even change the settings of it. Nor can i change anything in the admin section.
    Is there any chance to fix this problem?

    thanks in advance
    greetz

  5. AHWEBDEV
    Member
    Posted 2 years ago #

    Hi,

    Your wordpress blog is not up to date, before update or install a plugin you should first read if it's compatible with your version.

    Open your ftp, delete the plugin, update wordpress to latest version,
    reinstall the plugin.

  6. LeAdmiralo
    Member
    Posted 2 years ago #

    hey there...
    thank you very much for your help. I did it like you said and everything works fine again.
    And now I'll always read before I take action. :)

    Thanks again and have a good one!

    peace out

Topic Closed

This topic has been closed to new replies.

About this Topic